<!-- =========================================================================================
    File Name: TickerChart.vue
    Description: Ticker Chart
========================================================================================== -->
<template>
    <div class="main-chart mb15">
        <!-- TradingView Widget BEGIN -->
        <div class="tradingview-widget-container">
            <div id="tradingview_e8053"></div>
        </div>
        <!-- TradingView Widget END -->
    </div>
</template>
<script>
export default {
    name: 'TickerChart',
    mounted() {
        new window.TradingView.widget(
            {
                "width": "100%",
                "height": 550,
                "symbol": "BITHUMB:BTCKRW",
                "interval": "D",
                "timezone": "Etc/UTC",
                "theme": "Dark",
                "style": "1",
                "locale": "en",
                "toolbar_bg": "#f1f3f6",
                "enable_publishing": false,
                "withdateranges": true,
                "hide_side_toolbar": false,
                "allow_symbol_change": true,
                "show_popup_button": true,
                "popup_width": "1000",
                "popup_height": "650",
                "container_id": "tradingview_e8053"
            }
        );
    },
}
</script>